com.genesyslab.wfm7.API.service.config761

## Class CfgNotifyParam

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgNotifyParam

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgNotifyParam
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `timestamp` Timestamp value
    `private java.lang.String` | `wmMessage` E-mail message text
    `private int` | `wmNotifyParamId` Notify Param ID
    `private int` | `wmSiteId` Site ID (can be zero, indicating "general" subsystem param)
    `private java.lang.String` | `wmSubject` E-mail subject text
    `private int` | `wmSubsystemGroupId` Subsystem Group ID (30 - Calendar, 40 - Schedule, 90 - Trading, ...)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgNotifyParam()`
    `CfgNotifyParam(int wmNotifyParamId, int wmSiteId, int wmSubsystemGroupId, java.lang.String wmSubject, java.lang.String wmMessage, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getTimestamp()` Gets the timestamp value for this CfgNotifyParam.
    `java.lang.String` | `getWmMessage()` Gets the wmMessage value for this CfgNotifyParam.
    `int` | `getWmNotifyParamId()` Gets the wmNotifyParamId value for this CfgNotifyParam.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this CfgNotifyParam.
    `java.lang.String` | `getWmSubject()` Gets the wmSubject value for this CfgNotifyParam.
    `int` | `getWmSubsystemGroupId()` Gets the wmSubsystemGroupId value for this CfgNotifyParam.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgNotifyParam.
    `void` | `setWmMessage(java.lang.String wmMessage)` Sets the wmMessage value for this CfgNotifyParam.
    `void` | `setWmNotifyParamId(int wmNotifyParamId)` Sets the wmNotifyParamId value for this CfgNotifyParam.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this CfgNotifyParam.
    `void` | `setWmSubject(java.lang.String wmSubject)` Sets the wmSubject value for this CfgNotifyParam.
    `void` | `setWmSubsystemGroupId(int wmSubsystemGroupId)` Sets the wmSubsystemGroupId value for this CfgNotifyParam.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmNotifyParamId

          private int wmNotifyParamId

      Notify Param ID

    - #### wmSiteId

          private int wmSiteId

      Site ID (can be zero, indicating "general" subsystem param)

    - #### wmSubsystemGroupId

          private int wmSubsystemGroupId

      Subsystem Group ID (30 - Calendar, 40 - Schedule, 90 - Trading, ...)

    - #### wmSubject

          private java.lang.String wmSubject

      E-mail subject text

    - #### wmMessage

          private java.lang.String wmMessage

      E-mail message text

    - #### timestamp

          private long timestamp

      Timestamp value

  - ### Constructor Detail

    - #### CfgNotifyParam

          public CfgNotifyParam()

    - #### CfgNotifyParam

          public CfgNotifyParam(int wmNotifyParamId,
                        int wmSiteId,
                        int wmSubsystemGroupId,
                        java.lang.String wmSubject,
                        java.lang.String wmMessage,
                        long timestamp)

  - ### Method Detail

    - #### getWmNotifyParamId

          public int getWmNotifyParamId()

      Gets the wmNotifyParamId value for this CfgNotifyParam.
      Returns:
        wmNotifyParamId

    - #### setWmNotifyParamId

          public void setWmNotifyParamId(int wmNotifyParamId)

      Sets the wmNotifyParamId value for this CfgNotifyParam.
      Parameters:
        `wmNotifyParamId` -

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this CfgNotifyParam.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this CfgNotifyParam.
      Parameters:
        `wmSiteId` -

    - #### getWmSubsystemGroupId

          public int getWmSubsystemGroupId()

      Gets the wmSubsystemGroupId value for this CfgNotifyParam.
      Returns:
        wmSubsystemGroupId

    - #### setWmSubsystemGroupId

          public void setWmSubsystemGroupId(int wmSubsystemGroupId)

      Sets the wmSubsystemGroupId value for this CfgNotifyParam.
      Parameters:
        `wmSubsystemGroupId` -

    - #### getWmSubject

          public java.lang.String getWmSubject()

      Gets the wmSubject value for this CfgNotifyParam.
      Returns:
        wmSubject

    - #### setWmSubject

          public void setWmSubject(java.lang.String wmSubject)

      Sets the wmSubject value for this CfgNotifyParam.
      Parameters:
        `wmSubject` -

    - #### getWmMessage

          public java.lang.String getWmMessage()

      Gets the wmMessage value for this CfgNotifyParam.
      Returns:
        wmMessage

    - #### setWmMessage

          public void setWmMessage(java.lang.String wmMessage)

      Sets the wmMessage value for this CfgNotifyParam.
      Parameters:
        `wmMessage` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgNotifyParam.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgNotifyParam.
      Parameters:
        `timestamp` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.